<div class="filter-box add">
  <div ng-if="editing" class="content">
    <div ng-repeat="filter in editedBox.filters" class="field">
      <button ng-disabled="editedBox.filters.length === 1" type="button" class="btn btn-xs btn-default"
              ng-mousedown="editedBox.removeFilter($index)"
              uib-tooltip="Delete this filter rule." tooltip-placement="right">
        <i class="fa fa-trash"></i>
      </button>
      <select ng-options="field.name as getFieldLabel(field.name) for field in availableFields"
              ng-model="filter.field" class="field-name"></select>
      <select
          ng-options="comparisonOperator as formatComparisonOperator(comparisonOperator) for comparisonOperator in getAvailableComparisonOperators(filter.field)"
          ng-model="filter.comparisonOperator" class="field-comparison-operator"></select>&nbsp;
      <input filter-box-editor-item dataset="dataset" filter="filter" type="text"
             ng-if="filter.comparisonOperator !== 'in range' && filter.comparisonOperator !== 'present' && filter.comparisonOperator !== 'absent' && (getFieldType(filter.field) === 'keyword' || getFieldType(filter.field) === 'text' || getFieldType(filter.field) === 'string')"
             class="field-value field-value-edit" ng-model="filter.value.single" required
             ng-keydown="$event.keyCode === 13 && getFieldType(filter.field) !== 'keyword' && saveBox()"/>
      <input type="number"
             ng-if="filter.comparisonOperator !== 'in range' && filter.comparisonOperator !== 'present' && filter.comparisonOperator !== 'absent' && (getFieldType(filter.field) === 'integer' || getFieldType(filter.field) === 'double')"
             class="field-value" ng-model="filter.value.single" required
             ng-keydown="$event.keyCode === 13 && saveBox()"/>
      <span ng-if="filter.comparisonOperator === 'in range'">
        <input type="number" placeholder="min" class="field-value" ng-model="filter.value.from" required/> to
        <input type="number" placeholder="max" class="field-value" ng-model="filter.value.to" required
               ng-keydown="$event.keyCode === 13 && saveBox()"/>
      </span>
    </div>
    <div class="content-controls">
      <button type="button" class="btn btn-xs btn-default add-filter" ng-mousedown="editedBox.addFilter('', '')"
              uib-tooltip="Add a new rule to this filter." tooltip-placement="bottom">
        <i class="fa fa-plus"></i>
      </button>
      <button ng-if="editing && editedBox.filters.length > 1" type="button" class="btn btn-xs btn-default"
              ng-mousedown="toggleOperator()"
              uib-tooltip="Combine the filter rules inside this filter using either logic AND or OR."
              tooltip-placement="right">
        <small>{{editedBox.operator}}</small>
        <i class="fa fa-fw fa-toggle-on" ng-class="{'fa-flip-horizontal': editedBox.operator === 'OR'}"></i>
      </button>
    </div>
  </div>
  <div class="edit-controls">
    <button ng-if="editing" class="btn btn-xs btn-default abort-button" type="button" ng-mousedown="abortEdit()"
            uib-tooltip="Delete this filter." tooltip-placement="right">
      <i class="fa fa-lg fa-fw fa-times"></i>
    </button>
    <button ng-if="!editing" class="btn btn-xs btn-default add-button" type="button" ng-mousedown="editBox()"
            uib-tooltip="Add a new filter." tooltip-placement="right">
      <div>Add filter</div>
      <i class="fa fa-lg fa-fw fa-plus"></i>
    </button>
    <button ng-if="editing" class="btn btn-xs btn-default save-button" type="button" ng-mousedown="saveBox()"
            uib-tooltip="Apply this filter." tooltip-placement="right">
      <i class="fa fa-lg fa-fw fa-check"></i>
    </button>
  </div>
</div>